Bug 7117 - Small display problems when organising suggestion tabs by name
Summary: Small display problems when organising suggestion tabs by name
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL: /cgi-bin/koha/suggestion/suggestion.p...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-31 00:00 UTC by Katrin Fischer
Modified: 2012-10-25 23:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (33.21 KB, image/png)
2011-10-31 00:00 UTC, Katrin Fischer
Details
Bug 7117: Bug 7117 - Small display problems when organising suggestion tabs by name (1.25 KB, patch)
2011-10-31 00:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-10-31 00:00:51 UTC
Created attachment 6118 [details]
screenshot

If you choose 'suggested by' or 'managed by' for organising your suggestions, the name on the tab will appear in the wrong order: 

firstname, surname
Katrin, Fischer

The list of suggestions shows the name correctly.
Comment 1 Katrin Fischer 2011-10-31 00:08:58 UTC
Created attachment 6119 [details] [review]
Bug 7117: Bug 7117 - Small display problems when organising suggestion tabs by name

To test:
1) Add some suggestions
2) Go to suggestions in staff
3) Choose from filters 'suggested by' or 'managed by'
4) Compare names shown on tabs with names in list of suggestions

Before patch: tab name has the wrong order, while list name is correct.
After patch: all names should be consistent and correct.
Comment 2 Christophe Croullebois 2011-11-04 10:12:10 UTC
Ok, without patch => wrong order, with it => order is correct.
Comment 3 Ian Walls 2011-11-04 17:55:51 UTC
Simple patch, template only, just rearranges elements.  marking passed QA
Comment 4 Paul Poulain 2011-11-06 10:55:33 UTC
Patch pushed, please test
Comment 5 Paul Poulain 2011-11-06 10:56:43 UTC
Patch pushed, please test
Comment 6 Katrin Fischer 2011-11-27 13:09:45 UTC
Works in master and 3.6.x.